org.eclipse.viatra.cep.core.metamodels.events

## Interface EventsPackage.Literals

- Enclosing interface:
    EventsPackage

      public static interface EventsPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `ABSTRACT_MULTIPLICITY` The meta object literal for the '`Abstract Multiplicity`' class.
    `static org.eclipse.emf.ecore.EClass` | `AND` The meta object literal for the '`AND`' class.
    `static org.eclipse.emf.ecore.EClass` | `AT_LEAST_ONE` The meta object literal for the '`At Least One`' class.
    `static org.eclipse.emf.ecore.EClass` | `ATOMIC_EVENT_PATTERN` The meta object literal for the '`Atomic Event Pattern`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `ATOMIC_EVENT_PATTERN__TYPE` The meta object literal for the 'Type' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `COMPLEX_EVENT_OPERATOR` The meta object literal for the '`Complex Event Operator`' class.
    `static org.eclipse.emf.ecore.EClass` | `COMPLEX_EVENT_PATTERN` The meta object literal for the '`Complex Event Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS` The meta object literal for the 'Contained Event Patterns' containment reference list feature.
    `static org.eclipse.emf.ecore.EAttribute` | `COMPLEX_EVENT_PATTERN__EVENT_CONTEXT` The meta object literal for the 'Event Context' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_PATTERN__OPERATOR` The meta object literal for the 'Operator' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `COMPLEX_EVENT_PATTERN__TIMEWINDOW` The meta object literal for the 'Timewindow' containment reference feature.
    `static org.eclipse.emf.ecore.EClass` | `EVENT` The meta object literal for the '`Event`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT__IS_PROCESSED` The meta object literal for the 'Is Processed' attribute feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT__SOURCE` The meta object literal for the 'Source' reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT__TIMESTAMP` The meta object literal for the 'Timestamp' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT__TYPE` The meta object literal for the 'Type' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_MODEL` The meta object literal for the '`Event Model`' class.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_MODEL__EVENT_PATTERNS` The meta object literal for the 'Event Patterns' containment reference list feature.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_PATTERN` The meta object literal for the '`Event Pattern`' class.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_PATTERN__AUTOMATON` The meta object literal for the 'Automaton' reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_PATTERN__EVENT_MODEL` The meta object literal for the 'Event Model' container reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_PATTERN__ID` The meta object literal for the 'Id' attribute feature.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_PATTERN__PARAMETER_NAMES` The meta object literal for the 'Parameter Names' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_PATTERN_REFERENCE` The meta object literal for the '`Event Pattern Reference`' class.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_PATTERN_REFERENCE__EVENT_PATTERN` The meta object literal for the 'Event Pattern' containment reference feature.
    `static org.eclipse.emf.ecore.EReference` | `EVENT_PATTERN_REFERENCE__MULTIPLICITY` The meta object literal for the 'Multiplicity' containment reference feature.
    `static org.eclipse.emf.ecore.EAttribute` | `EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES` The meta object literal for the 'Parameter Symbolic Names' attribute list feature.
    `static org.eclipse.emf.ecore.EClass` | `EVENT_SOURCE` The meta object literal for the '`Event Source`' class.
    `static org.eclipse.emf.ecore.EOperation` | `EVENT_SOURCE___GET_ID` The meta object literal for the 'Get Id' operation.
    `static org.eclipse.emf.ecore.EClass` | `FOLLOWS` The meta object literal for the '`FOLLOWS`' class.
    `static org.eclipse.emf.ecore.EClass` | `INFINITE` The meta object literal for the '`Infinite`' class.
    `static org.eclipse.emf.ecore.EClass` | `MULTIPLICITY` The meta object literal for the '`Multiplicity`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `MULTIPLICITY__VALUE` The meta object literal for the 'Value' attribute feature.
    `static org.eclipse.emf.ecore.EClass` | `NEG` The meta object literal for the '`NEG`' class.
    `static org.eclipse.emf.ecore.EClass` | `OR` The meta object literal for the '`OR`' class.
    `static org.eclipse.emf.ecore.EClass` | `TIMEWINDOW` The meta object literal for the '`Timewindow`' class.
    `static org.eclipse.emf.ecore.EAttribute` | `TIMEWINDOW__TIME` The meta object literal for the 'Time' attribute feature.

- - ### Field Detail

    - #### EVENT_MODEL

          static final org.eclipse.emf.ecore.EClass EVENT_MODEL

      The meta object literal for the '`Event Model`' class.
      See Also:
        `EventModelImpl`, `EventsPackageImpl.getEventModel()`
      Generated:

    - #### EVENT_MODEL__EVENT_PATTERNS

          static final org.eclipse.emf.ecore.EReference EVENT_MODEL__EVENT_PATTERNS

      The meta object literal for the 'Event Patterns' containment reference list feature.
      Generated:

    - #### EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass EVENT_PATTERN

      The meta object literal for the '`Event Pattern`' class.
      See Also:
        `EventPatternImpl`, `EventsPackageImpl.getEventPattern()`
      Generated:

    - #### EVENT_PATTERN__EVENT_MODEL

          static final org.eclipse.emf.ecore.EReference EVENT_PATTERN__EVENT_MODEL

      The meta object literal for the 'Event Model' container reference feature.
      Generated:

    - #### EVENT_PATTERN__AUTOMATON

          static final org.eclipse.emf.ecore.EReference EVENT_PATTERN__AUTOMATON

      The meta object literal for the 'Automaton' reference feature.
      Generated:

    - #### EVENT_PATTERN__ID

          static final org.eclipse.emf.ecore.EAttribute EVENT_PATTERN__ID

      The meta object literal for the 'Id' attribute feature.
      Generated:

    - #### EVENT_PATTERN__PARAMETER_NAMES

          static final org.eclipse.emf.ecore.EAttribute EVENT_PATTERN__PARAMETER_NAMES

      The meta object literal for the 'Parameter Names' attribute list feature.
      Generated:

    - #### ATOMIC_EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass ATOMIC_EVENT_PATTERN

      The meta object literal for the '`Atomic Event Pattern`' class.
      See Also:
        `AtomicEventPatternImpl`, `EventsPackageImpl.getAtomicEventPattern()`
      Generated:

    - #### ATOMIC_EVENT_PATTERN__TYPE

          static final org.eclipse.emf.ecore.EAttribute ATOMIC_EVENT_PATTERN__TYPE

      The meta object literal for the 'Type' attribute feature.
      Generated:

    - #### COMPLEX_EVENT_PATTERN

          static final org.eclipse.emf.ecore.EClass COMPLEX_EVENT_PATTERN

      The meta object literal for the '`Complex Event Pattern`' class.
      See Also:
        `ComplexEventPatternImpl`, `EventsPackageImpl.getComplexEventPattern()`
      Generated:

    - #### COMPLEX_EVENT_PATTERN__OPERATOR

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_PATTERN__OPERATOR

      The meta object literal for the 'Operator' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_PATTERN__TIMEWINDOW

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_PATTERN__TIMEWINDOW

      The meta object literal for the 'Timewindow' containment reference feature.
      Generated:

    - #### COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS

          static final org.eclipse.emf.ecore.EReference COMPLEX_EVENT_PATTERN__CONTAINED_EVENT_PATTERNS

      The meta object literal for the 'Contained Event Patterns' containment reference list feature.
      Generated:

    - #### COMPLEX_EVENT_PATTERN__EVENT_CONTEXT

          static final org.eclipse.emf.ecore.EAttribute COMPLEX_EVENT_PATTERN__EVENT_CONTEXT

      The meta object literal for the 'Event Context' attribute feature.
      Generated:

    - #### EVENT_PATTERN_REFERENCE

          static final org.eclipse.emf.ecore.EClass EVENT_PATTERN_REFERENCE

      The meta object literal for the '`Event Pattern Reference`' class.
      See Also:
        `EventPatternReferenceImpl`, `EventsPackageImpl.getEventPatternReference()`
      Generated:

    - #### EVENT_PATTERN_REFERENCE__EVENT_PATTERN

          static final org.eclipse.emf.ecore.EReference EVENT_PATTERN_REFERENCE__EVENT_PATTERN

      The meta object literal for the 'Event Pattern' containment reference feature.
      Generated:

    - #### EVENT_PATTERN_REFERENCE__MULTIPLICITY

          static final org.eclipse.emf.ecore.EReference EVENT_PATTERN_REFERENCE__MULTIPLICITY

      The meta object literal for the 'Multiplicity' containment reference feature.
      Generated:

    - #### EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES

          static final org.eclipse.emf.ecore.EAttribute EVENT_PATTERN_REFERENCE__PARAMETER_SYMBOLIC_NAMES

      The meta object literal for the 'Parameter Symbolic Names' attribute list feature.
      Generated:

    - #### EVENT

          static final org.eclipse.emf.ecore.EClass EVENT

      The meta object literal for the '`Event`' class.
      See Also:
        `EventImpl`, `EventsPackageImpl.getEvent()`
      Generated:

    - #### EVENT__TYPE

          static final org.eclipse.emf.ecore.EAttribute EVENT__TYPE

      The meta object literal for the 'Type' attribute feature.
      Generated:

    - #### EVENT__TIMESTAMP

          static final org.eclipse.emf.ecore.EAttribute EVENT__TIMESTAMP

      The meta object literal for the 'Timestamp' attribute feature.
      Generated:

    - #### EVENT__SOURCE

          static final org.eclipse.emf.ecore.EReference EVENT__SOURCE

      The meta object literal for the 'Source' reference feature.
      Generated:

    - #### EVENT__IS_PROCESSED

          static final org.eclipse.emf.ecore.EAttribute EVENT__IS_PROCESSED

      The meta object literal for the 'Is Processed' attribute feature.
      Generated:

    - #### EVENT_SOURCE

          static final org.eclipse.emf.ecore.EClass EVENT_SOURCE

      The meta object literal for the '`Event Source`' class.
      See Also:
        `EventSourceImpl`, `EventsPackageImpl.getEventSource()`
      Generated:

    - #### EVENT_SOURCE___GET_ID

          static final org.eclipse.emf.ecore.EOperation EVENT_SOURCE___GET_ID

      The meta object literal for the 'Get Id' operation.
      Generated:

    - #### COMPLEX_EVENT_OPERATOR

          static final org.eclipse.emf.ecore.EClass COMPLEX_EVENT_OPERATOR

      The meta object literal for the '`Complex Event Operator`' class.
      See Also:
        `ComplexEventOperatorImpl`, `EventsPackageImpl.getComplexEventOperator()`
      Generated:

    - #### OR

          static final org.eclipse.emf.ecore.EClass OR

      The meta object literal for the '`OR`' class.
      See Also:
        `ORImpl`, `EventsPackageImpl.getOR()`
      Generated:

    - #### NEG

          static final org.eclipse.emf.ecore.EClass NEG

      The meta object literal for the '`NEG`' class.
      See Also:
        `NEGImpl`, `EventsPackageImpl.getNEG()`
      Generated:

    - #### FOLLOWS

          static final org.eclipse.emf.ecore.EClass FOLLOWS

      The meta object literal for the '`FOLLOWS`' class.
      See Also:
        `FOLLOWSImpl`, `EventsPackageImpl.getFOLLOWS()`
      Generated:

    - #### AND

          static final org.eclipse.emf.ecore.EClass AND

      The meta object literal for the '`AND`' class.
      See Also:
        `ANDImpl`, `EventsPackageImpl.getAND()`
      Generated:

    - #### TIMEWINDOW

          static final org.eclipse.emf.ecore.EClass TIMEWINDOW

      The meta object literal for the '`Timewindow`' class.
      See Also:
        `TimewindowImpl`, `EventsPackageImpl.getTimewindow()`
      Generated:

    - #### TIMEWINDOW__TIME

          static final org.eclipse.emf.ecore.EAttribute TIMEWINDOW__TIME

      The meta object literal for the 'Time' attribute feature.
      Generated:

    - #### ABSTRACT_MULTIPLICITY

          static final org.eclipse.emf.ecore.EClass ABSTRACT_MULTIPLICITY

      The meta object literal for the '`Abstract Multiplicity`' class.
      See Also:
        `AbstractMultiplicityImpl`, `EventsPackageImpl.getAbstractMultiplicity()`
      Generated:

    - #### MULTIPLICITY

          static final org.eclipse.emf.ecore.EClass MULTIPLICITY

      The meta object literal for the '`Multiplicity`' class.
      See Also:
        `MultiplicityImpl`, `EventsPackageImpl.getMultiplicity()`
      Generated:

    - #### MULTIPLICITY__VALUE

          static final org.eclipse.emf.ecore.EAttribute MULTIPLICITY__VALUE

      The meta object literal for the 'Value' attribute feature.
      Generated:

    - #### INFINITE

          static final org.eclipse.emf.ecore.EClass INFINITE

      The meta object literal for the '`Infinite`' class.
      See Also:
        `InfiniteImpl`, `EventsPackageImpl.getInfinite()`
      Generated:

    - #### AT_LEAST_ONE

          static final org.eclipse.emf.ecore.EClass AT_LEAST_ONE

      The meta object literal for the '`At Least One`' class.
      See Also:
        `AtLeastOneImpl`, `EventsPackageImpl.getAtLeastOne()`
      Generated: